# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsPySvn/SvnPropSetDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SvnPropSetDialog(object):
    def setupUi(self, SvnPropSetDialog):
        SvnPropSetDialog.setObjectName("SvnPropSetDialog")
        SvnPropSetDialog.resize(494, 385)
        SvnPropSetDialog.setSizeGripEnabled(True)
        self.vboxlayout = QtWidgets.QVBoxLayout(SvnPropSetDialog)
        self.vboxlayout.setObjectName("vboxlayout")
        self.gridlayout = QtWidgets.QGridLayout()
        self.gridlayout.setObjectName("gridlayout")
        self.propTextEdit = QtWidgets.QTextEdit(parent=SvnPropSetDialog)
        self.propTextEdit.setTabChangesFocus(True)
        self.propTextEdit.setAcceptRichText(False)
        self.propTextEdit.setObjectName("propTextEdit")
        self.gridlayout.addWidget(self.propTextEdit, 1, 1, 1, 1)
        self.textLabel1 = QtWidgets.QLabel(parent=SvnPropSetDialog)
        self.textLabel1.setObjectName("textLabel1")
        self.gridlayout.addWidget(self.textLabel1, 0, 0, 1, 1)
        self.propNameEdit = QtWidgets.QLineEdit(parent=SvnPropSetDialog)
        self.propNameEdit.setObjectName("propNameEdit")
        self.gridlayout.addWidget(self.propNameEdit, 0, 1, 1, 1)
        self.recurseCheckBox = QtWidgets.QCheckBox(parent=SvnPropSetDialog)
        self.recurseCheckBox.setObjectName("recurseCheckBox")
        self.gridlayout.addWidget(self.recurseCheckBox, 2, 0, 1, 2)
        self.label = QtWidgets.QLabel(parent=SvnPropSetDialog)
        self.label.setAlignment(QtCore.Qt.AlignmentFlag.AlignLeading|QtCore.Qt.AlignmentFlag.AlignLeft|QtCore.Qt.AlignmentFlag.AlignTop)
        self.label.setObjectName("label")
        self.gridlayout.addWidget(self.label, 1, 0, 1, 1)
        self.vboxlayout.addLayout(self.gridlayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SvnPropSetDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.vboxlayout.addWidget(self.buttonBox)
        self.textLabel1.setBuddy(self.propNameEdit)
        self.label.setBuddy(self.propTextEdit)

        self.retranslateUi(SvnPropSetDialog)
        self.buttonBox.accepted.connect(SvnPropSetDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(SvnPropSetDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SvnPropSetDialog)
        SvnPropSetDialog.setTabOrder(self.propNameEdit, self.propTextEdit)
        SvnPropSetDialog.setTabOrder(self.propTextEdit, self.recurseCheckBox)

    def retranslateUi(self, SvnPropSetDialog):
        _translate = QtCore.QCoreApplication.translate
        SvnPropSetDialog.setWindowTitle(_translate("SvnPropSetDialog", "Set Subversion Property"))
        self.propTextEdit.setToolTip(_translate("SvnPropSetDialog", "Enter text of the property"))
        self.textLabel1.setText(_translate("SvnPropSetDialog", "Property &Name:"))
        self.propNameEdit.setToolTip(_translate("SvnPropSetDialog", "Enter the name of the property to be set"))
        self.recurseCheckBox.setToolTip(_translate("SvnPropSetDialog", "Select to apply the property recursively"))
        self.recurseCheckBox.setText(_translate("SvnPropSetDialog", "Apply &recursively"))
        self.label.setText(_translate("SvnPropSetDialog", "Property &Value:"))
